Package org.eclipse.equinox.p2.metadata

# Interface ITouchpointInstruction

public interface ITouchpointInstruction
A touchpoint instruction contains either a sequence of instruction statements to be executed during a particular engine phase, or some simple string value that is needed by a touchpoint to execute its phases.

The format of a touchpoint instruction statement sequence is as follows: statement-sequence : | statement ';' | statement-sequence statement ; Where a statement is of the format: statement : | actionName '(' parameters ')' ; parameters : | // empty | parameter | parameters ',' parameter ; parameter : | paramName ':' paramValue ; actionName, paramName, paramValue : | String ;

Since:
  2.0
See Also:
  - `MetadataFactory.createTouchpointInstruction(String, String)`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Returns whether this TouchpointInstruction is equal to the given object.
`String`
`getBody()`
Returns the body of this touchpoint instruction.
`String`
`getImportAttribute()`

## Method Details

### getBody

String getBody()
Returns the body of this touchpoint instruction. The body is either a sequence of instruction statements, or a simple string value.

Returns:
  The body of this touchpoint instruction

### getImportAttribute

String getImportAttribute()

### equals

boolean equals(Object obj)
Returns whether this TouchpointInstruction is equal to the given object. This method returns true if:

- Both this object and the given object are of type ITouchpointInstruction
- The result of getBody() on both objects are equal
- The result of getImportAttribute() on both objects are equal

Overrides:
  `equals` in class `Object`